
Name:	 klivejournal
Summary: Livejournal client 
Version: 0.6 
Release: 1%{?dist}

License: GPL
Group: 	 Applications/Publishing
URL:	 http://klivejournal.sourceforge.net/
Source0: http://dl.sourceforge.net/sourceforge/klivejournal/KLiveJournal-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: kdelibs-devel
BuildRequires: automake

%description
KLiveJournal is a KDE client primarily for the LiveJournal.com site 
but it should work with any other journal provider that uses the software
from livejournal.org as long as it supports challenge/response authentication.
Currently it supports all meta informations like current moode,current 
music or current location as well as tags. Additionally it supports the check
friends feature and has fast server support (both require a paid account).
It also features simple HTML syntax highlighting, spell checking an 
drag&drop support for links.


%prep
%setup -q -n KLiveJournal 

# auto* is all f**#$ed up, redo it
make -f admin/Makefile.common


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --disable-rpath \
  --disable-gcc-hidden-visibility \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final 

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor="" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
  --add-category="Qt" \
  --add-category="KDE" \
  --add-category="Network" \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Internet/*.desktop

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi


%post
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:

%postun
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README TODO
%{_bindir}/*
%{_datadir}/apps/klivejournal/
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/applications/kde/*.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Jan 08 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.6-1
- KLiveJournal-0.6 (first try)

